package com.yd.api.commission.vo.lifecommission;

import org.apache.commons.lang.StringUtils;

public class ComeCommissionVO {
    private Long orderId;
    private String checkDate;//比对日期
    private String insurerName;//保险公司
    private String planName;//购买方案
    private String policyNo;
    private String orderPrice;//保费
    private String commissionRate;//来佣率
    private String commissionAmount;//来佣金额
    private String commissionCheckStatus;//来佣状态
    private String orderDate;//下单时间
    private String payTerm;//缴费年限
    private String coverageTerm;//保障期间
    private String categoryName;//产品险种
    private String planCategoryName;//保险种类
    private String name;//经纪人姓名
    private Long practitionerId;
    private String practitionerTypeId;//经纪人类型

    private Long commissionId;//
    private String commissionNo;//
    private String amount;//
    private String commissionYear;//
    private String commissionStatus;//
    private String commissionTime;//
    private String commissionPeriod;//

    private String commissionType;//来佣类型(1:基础来佣;2:特殊激励来佣;3:公告佣)
    private String commissionTypeName;

    private String commissionItem;//佣金项目(1:销售拥金;2:销售奖金;3:销售津贴;4:续期佣金;5:服务津贴;等等)
    private String commissionItemName;

    private String insurerBranchId;
    private String insurerBranchName;

    private Long ydBranchId;//银盾出单机构id
    private String ydBranchName;//银盾出单机构

    private String s3SubordinateSystemName;//s3所属体系名称
    private String s2SubordinateSystemName;//s2所属体系名称
    private String subordinateSystemName;//所属体系名称
    private Long s1Id;
    private Long s2Id;
    private Long s3Id;
    private Long policyTrackingStatus;//保单跟踪状态
    private String policyInputSource;//保单出单来源
    private String remark;//备注
    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }


    public String getCheckDate() {
        if (StringUtils.isBlank(checkDate)) {
            return StringUtils.EMPTY;
        }
        return checkDate;
    }

    public void setCheckDate(String checkDate) {
        this.checkDate = checkDate;
    }

    public String getInsurerName() {
        if (StringUtils.isBlank(insurerName)) {
            return StringUtils.EMPTY;
        }
        return insurerName;
    }

    public void setInsurerName(String insurerName) {
        this.insurerName = insurerName;
    }

    public String getPlanName() {
        if (StringUtils.isBlank(planName)) {
            return StringUtils.EMPTY;
        }
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }

    public String getPolicyNo() {
        if (StringUtils.isBlank(policyNo)) {
            return StringUtils.EMPTY;
        }
        return policyNo;
    }

    public void setPolicyNo(String policyNo) {
        this.policyNo = policyNo;
    }

    public String getOrderPrice() {
        if (StringUtils.isBlank(orderPrice)) {
            return "/";
        }
        return orderPrice;
    }

    public void setOrderPrice(String orderPrice) {
        this.orderPrice = orderPrice;
    }

    public String getCommissionRate() {
        if (StringUtils.isBlank(commissionRate)) {
            return StringUtils.EMPTY;
        }
        return commissionRate;
    }

    public void setCommissionRate(String commissionRate) {
        this.commissionRate = commissionRate;
    }

    public String getCommissionAmount() {
        return commissionAmount;
    }

    public void setCommissionAmount(String commissionAmount) {
        this.commissionAmount = commissionAmount;
    }

    public String getCommissionCheckStatus() {
        return commissionCheckStatus;
    }

    public void setCommissionCheckStatus(String commissionCheckStatus) {
        this.commissionCheckStatus = commissionCheckStatus;
    }

    public String getOrderDate() {
        if (StringUtils.isBlank(orderDate)) {
            return "/";
        }
        return orderDate;
    }

    public void setOrderDate(String orderDate) {
        this.orderDate = orderDate;
    }

    public String getPayTerm() {
        if (StringUtils.isBlank(payTerm)) {
            return "/";
        }
        return payTerm;
    }

    public void setPayTerm(String payTerm) {
        this.payTerm = payTerm;
    }

    public String getCoverageTerm() {
        return coverageTerm;
    }

    public void setCoverageTerm(String coverageTerm) {
        this.coverageTerm = coverageTerm;
    }

    public String getCategoryName() {
        if (StringUtils.isBlank(categoryName)) {
            return StringUtils.EMPTY;
        }
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public String getPlanCategoryName() {
        if (StringUtils.isBlank(planCategoryName)) {
            return StringUtils.EMPTY;
        }
        return planCategoryName;
    }

    public void setPlanCategoryName(String planCategoryName) {
        this.planCategoryName = planCategoryName;
    }

    public String getName() {
        if (StringUtils.isBlank(name)) {
            return "/";
        }
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getPractitionerId() {
        return practitionerId;
    }

    public void setPractitionerId(Long practitionerId) {
        this.practitionerId = practitionerId;
    }

    public String getPractitionerTypeId() {
        return practitionerTypeId;
    }

    public void setPractitionerTypeId(String practitionerTypeId) {
        this.practitionerTypeId = practitionerTypeId;
    }

    public Long getCommissionId() {
        return commissionId;
    }

    public void setCommissionId(Long commissionId) {
        this.commissionId = commissionId;
    }

    public String getCommissionNo() {
        return commissionNo;
    }

    public void setCommissionNo(String commissionNo) {
        this.commissionNo = commissionNo;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getCommissionYear() {
        return commissionYear;
    }

    public void setCommissionYear(String commissionYear) {
        this.commissionYear = commissionYear;
    }

    public String getCommissionStatus() {
        return commissionStatus;
    }

    public void setCommissionStatus(String commissionStatus) {
        this.commissionStatus = commissionStatus;
    }

    public String getCommissionTime() {
        if (StringUtils.isBlank(commissionTime)) {
            return StringUtils.EMPTY;
        }
        return commissionTime;
    }

    public void setCommissionTime(String commissionTime) {
        this.commissionTime = commissionTime;
    }

    public String getCommissionPeriod() {
        return commissionPeriod;
    }

    public void setCommissionPeriod(String commissionPeriod) {
        this.commissionPeriod = commissionPeriod;
    }

    public String getCommissionType() {
        return commissionType;
    }

    public void setCommissionType(String commissionType) {
        this.commissionType = commissionType;
    }

    public String getCommissionTypeName() {
        return commissionTypeName;
    }

    public void setCommissionTypeName(String commissionTypeName) {
        this.commissionTypeName = commissionTypeName;
    }

    public String getCommissionItem() {
        return commissionItem;
    }

    public void setCommissionItem(String commissionItem) {
        this.commissionItem = commissionItem;
    }

    public String getCommissionItemName() {
        return commissionItemName;
    }

    public void setCommissionItemName(String commissionItemName) {
        this.commissionItemName = commissionItemName;
    }

    public String getInsurerBranchId() {
        return insurerBranchId;
    }

    public void setInsurerBranchId(String insurerBranchId) {
        this.insurerBranchId = insurerBranchId;
    }

    public String getInsurerBranchName() {
        if (StringUtils.isBlank(insurerBranchName)) {
            return StringUtils.EMPTY;
        }
        return insurerBranchName;
    }

    public void setInsurerBranchName(String insurerBranchName) {
        this.insurerBranchName = insurerBranchName;
    }

    public String getS3SubordinateSystemName() {
        if (StringUtils.isBlank(s3SubordinateSystemName)) {
            return StringUtils.EMPTY;
        }
        return s3SubordinateSystemName;
    }

    public void setS3SubordinateSystemName(String s3SubordinateSystemName) {
        this.s3SubordinateSystemName = s3SubordinateSystemName;
    }

    public String getS2SubordinateSystemName() {
        if (StringUtils.isBlank(s2SubordinateSystemName)) {
            return StringUtils.EMPTY;
        }
        return s2SubordinateSystemName;
    }

    public void setS2SubordinateSystemName(String s2SubordinateSystemName) {
        this.s2SubordinateSystemName = s2SubordinateSystemName;
    }

    public String getSubordinateSystemName() {
        if (StringUtils.isBlank(subordinateSystemName)) {
            return StringUtils.EMPTY;
        }
        return subordinateSystemName;
    }

    public void setSubordinateSystemName(String subordinateSystemName) {
        this.subordinateSystemName = subordinateSystemName;
    }

    public Long getS1Id() {
        return s1Id;
    }

    public void setS1Id(Long s1Id) {
        this.s1Id = s1Id;
    }

    public Long getS2Id() {
        return s2Id;
    }

    public void setS2Id(Long s2Id) {
        this.s2Id = s2Id;
    }

    public Long getS3Id() {
        return s3Id;
    }

    public void setS3Id(Long s3Id) {
        this.s3Id = s3Id;
    }

    public Long getYdBranchId() {
        return ydBranchId;
    }

    public void setYdBranchId(Long ydBranchId) {
        this.ydBranchId = ydBranchId;
    }

    public String getYdBranchName() {
        if (StringUtils.isBlank(ydBranchName)) {
            return StringUtils.EMPTY;
        }
        return ydBranchName;
    }

    public void setYdBranchName(String ydBranchName) {
        this.ydBranchName = ydBranchName;
    }

    public Long getPolicyTrackingStatus() {
        return policyTrackingStatus;
    }

    public void setPolicyTrackingStatus(Long policyTrackingStatus) {
        this.policyTrackingStatus = policyTrackingStatus;
    }

    public String getPolicyInputSource() {
        return policyInputSource;
    }

    public void setPolicyInputSource(String policyInputSource) {
        this.policyInputSource = policyInputSource;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
